# Uses of Enum Class
javax.swing.RowFilter.ComparisonType

Packages that use RowFilter.ComparisonType
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of RowFilter.ComparisonType in javax.swing

Methods in javax.swing that return RowFilter.ComparisonType
Modifier and Type
Method
Description
`static RowFilter.ComparisonType`
RowFilter.ComparisonType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RowFilter.ComparisonType[]`
RowFilter.ComparisonType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.swing with parameters of type RowFilter.ComparisonType
Modifier and Type
Method
Description
`static <M, I> RowFilter<M,I>`
RowFilter.`dateFilter(RowFilter.ComparisonType type, Date date, int... indices)`
Returns a `RowFilter` that includes entries that have at least one `Date` value meeting the specified criteria.
`static <M, I> RowFilter<M,I>`
RowFilter.`numberFilter(RowFilter.ComparisonType type, Number number, int... indices)`
Returns a `RowFilter` that includes entries that have at least one `Number` value meeting the specified criteria.